# Studio 9 Questions

# 1. Put your code answering the R questions in this file.
# 2. Read all instructions carefully!
# 3. If code is given with a question it is meant to be used. Don't just ignore it.
# 4. Before uploading the the code: clear your environment and source
#    the entire file (choose source from the code menu).
#   -- Make sure that it runs without error and outputs just the
#     answers asked for in the questions.
#   -- Remember to use print statements to print the values asked for
# 5. **** Upload your code to  ****
#    https://math.mit.edu/~dav/uploads/
#--------------------------------------
# Summary of questions
# 1. Simulation of the f-statistic: draw histogram and graph
# 2. z-test. Code by hand a z-test
# 3. ANOVA. using aov()

#--------------------------------------
# Problem 1. Simulate the F statistic under the null
# hypothesis that the means of all groups are the same.

# One simulation will consist of:
# (i) Use the parameters below to draw m samples for 
# each of n groups of data from a Norm(mu, sigma^2) distribution.
# (ii) Compute the f statistic of the data under H0.

# Do this ntrials times and make a density histogram of
# the f-statistics. Overlay a graph of the pdf of the f 
# distribution with the correct degrees of freedom.
cat("\n----------------------------------\n")
cat("Problem 1.\n")
mu = 3      # same for each group
sigma = 2   # same for each group
m = 30      # data in each group
n = 6       # number of  groups
ntrials = 10000

# The code above should not be changed. Your code goes below here.

#--------------------------------------#
# Problem 2. The data in x just below was drawn from a normal distribution
# with standard deviation 2. Run a z-test on the data to test if the 
# underlying normal distribution has mean 0. Print the mean of the data, 
# z-statistic, p-value, and your conclusion.

cat("\n----------------------------------\n")
cat("Problem 2.\n")
x.prob2 = c(-1.387,  0.611,  0.688,  3.155,  1.476, 1.120,
            2.529,  2.021,  1.797,  2.041, -0.104,  2.501,
            -0.341,  1.094, -0.257,  3.322,  0.390,  1.292,
            -1.127,  4.253,  2.750,  1.411,  2.940,  2.236,
            1.726,  0.741,  3.978, -0.269,  0.018, -1.984,
            2.881, -0.190,  0.763,  2.911,  1.836,  0.511,
            -2.289,  3.038,  0.944,  2.179, -5.863,  0.609,
            -3.401,  1.470,  2.048,  0.463,  2.170, -2.437,
            -0.586,  1.119)

# Do not change the code above here. Write your code below.

#--------------------------------------#
# Problem 3. The data below gives independent measurements of the perceived level of pain after one of three medical procedures. (Each patient got just one of the procedures)  We give the code for binding the data into a data.frame. The code then prints out the data.frame so you can see what it looks like.

# Use aov() to run a one-way ANOVA with null hypothesis that the mean level of pain for all 3 treatments are the same.  Use the summary() command to print out the results of aov(). Print out your conclusion.

cat("\n----------------------------------\n")
cat("Problem 4.\n")

#DATA
T1 = c(2,4,1,5,3)
T2 = c(3,4,6,1,4)
T3 = c(2,1,3,3,5)

# Put the data into a data.frame
procedure = c(rep('T1',length(T1)),rep('T2',length(T2)),rep('T3',length(T3)))
pain = c(T1,T2,T3)
data.pain = data.frame(procedure,pain)
print(data.pain)

# Do not change the code above here. Write your code below.

